# Class: Rating

## M_.Form.Rating()

Display stars to rate

## Constructor

#### new Rating()

##### Properties:

Name | Type | Description
--- | --- | ---
`inputType` | type |
`value` | type |
`nbStars` | type |

### Extends

- M_.Form.Input

### Methods

#### addValue(val)

##### Parameters:

Name | Type | Description
--- | --- | ---
`val` | type |

#### create() → {type}

Inherited From:
  - M_.Form.Input#create

##### Returns:

Type
  type

#### destroy()

Destroy the outlet

Inherited From:
  - M_.Outlet#destroy

#### disable() → {type}

Inherited From:
  - M_.Form.Input#disable

##### Returns:

Type
  type

#### drawContainer() → {type}

##### Returns:

Type
  type

#### enable() → {type}

Inherited From:
  - M_.Form.Input#enable

##### Returns:

Type
  type

#### findEl(selector) → {jQuery}

Search a class or selector in the container, like $.find()

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | string |

Inherited From:
  - M_.Outlet#findEl

##### Returns:

Type
  jQuery

#### getEl() → {jquery}

Return jEl element. Generally the main object.

Inherited From:
  - M_.Outlet#getEl

##### Returns:

the main jQuery element

Type
  jquery

#### getValue() → {type}

Overrides:
  - M_.Form.Input#getValue

##### Returns:

Type
  type

#### hide() → {type}

Inherited From:
  - M_.Form.Input#hide

##### Returns:

Type
  type

#### informValid(ok) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`ok` | type |

Inherited From:
  - M_.Form.Input#informValid

##### Returns:

Type
  type

#### isEmpty() → {Boolean}

Inherited From:
  - M_.Form.Input#isEmpty

##### Returns:

Type
  Boolean

#### removeValue(val) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`val` | type |

##### Returns:

Type
  type

#### reset() → {type}

Inherited From:
  - M_.Form.Input#reset

##### Returns:

Type
  type

#### setLabel(txt)

##### Parameters:

Name | Type | Description
--- | --- | ---
`txt` | type |

Inherited From:
  - M_.Form.Input#setLabel

#### setValue(val)

##### Parameters:

Name | Type | Description
--- | --- | ---
`val` | type |

Overrides:
  - M_.Form.Input#setValue

#### show() → {type}

Inherited From:
  - M_.Form.Input#show

##### Returns:

Type
  type

#### valid() → {type}

Inherited From:
  - M_.Form.Input#valid

##### Returns:

Type
  type